/* ListColumn.c generated by valac 0.39.5, the Vala compiler
 * generated from ListColumn.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <noise-core.h>
#include <gee.h>


#define NOISE_TYPE_LIST_COLUMN (noise_list_column_get_type ())

#define NOISE_TYPE_PLAYBACK_MANAGER (noise_playback_manager_get_type ())
#define NOISE_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager))
#define NOISE_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))
#define NOISE_IS_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_IS_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_PLAYBACK_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))

typedef struct _NoisePlaybackManager NoisePlaybackManager;
typedef struct _NoisePlaybackManagerClass NoisePlaybackManagerClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

typedef enum  {
	NOISE_LIST_COLUMN_ICON = 0,
	NOISE_LIST_COLUMN_NUMBER,
	NOISE_LIST_COLUMN_TRACK,
	NOISE_LIST_COLUMN_TITLE,
	NOISE_LIST_COLUMN_LENGTH,
	NOISE_LIST_COLUMN_ARTIST,
	NOISE_LIST_COLUMN_ALBUM,
	NOISE_LIST_COLUMN_ALBUM_ARTIST,
	NOISE_LIST_COLUMN_COMPOSER,
	NOISE_LIST_COLUMN_GENRE,
	NOISE_LIST_COLUMN_YEAR,
	NOISE_LIST_COLUMN_GROUPING,
	NOISE_LIST_COLUMN_BITRATE,
	NOISE_LIST_COLUMN_RATING,
	NOISE_LIST_COLUMN_PLAY_COUNT,
	NOISE_LIST_COLUMN_SKIP_COUNT,
	NOISE_LIST_COLUMN_DATE_ADDED,
	NOISE_LIST_COLUMN_LAST_PLAYED,
	NOISE_LIST_COLUMN_BPM,
	NOISE_LIST_COLUMN_FILE_LOCATION,
	NOISE_LIST_COLUMN_FILE_SIZE,
	NOISE_LIST_COLUMN_N_COLUMNS
} NoiseListColumn;



GType noise_list_column_get_type (void) G_GNUC_CONST;
gchar* noise_list_column_to_string (NoiseListColumn self);
GType noise_list_column_get_data_type (NoiseListColumn self);
GValue* noise_list_column_get_value_for_media (NoiseListColumn self,
                                               NoiseMedia* m,
                                               gint media_row_index);
GType noise_playback_manager_get_type (void) G_GNUC_CONST;
NoisePlaybackManager* noise_app_get_player (void);
NoiseMedia* noise_playback_manager_get_current_media (NoisePlaybackManager* self);
GeeCollection* noise_list_column_get_all (void);


/**
     * Returns a string representation of the column.
     */
gchar*
noise_list_column_to_string (NoiseListColumn self)
{
	gchar* result = NULL;
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
	switch (self) {
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ICON:
#line 110 "ListColumn.c"
		{
			gchar* _tmp0_;
#line 66 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp0_ = g_strdup (" ");
#line 66 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp0_;
#line 66 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 119 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_NUMBER:
#line 123 "ListColumn.c"
		{
			gchar* _tmp1_;
#line 69 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp1_ = g_strdup (C_ ("List column title", "#"));
#line 69 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp1_;
#line 69 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 132 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TRACK:
#line 136 "ListColumn.c"
		{
			gchar* _tmp2_;
#line 72 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp2_ = g_strdup (C_ ("List column title", "Track"));
#line 72 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp2_;
#line 72 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 145 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TITLE:
#line 149 "ListColumn.c"
		{
			gchar* _tmp3_;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp3_ = g_strdup (C_ ("List column title", "Title"));
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp3_;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 158 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LENGTH:
#line 162 "ListColumn.c"
		{
			gchar* _tmp4_;
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp4_ = g_strdup (C_ ("List column title", "Length"));
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp4_;
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 171 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ARTIST:
#line 175 "ListColumn.c"
		{
			gchar* _tmp5_;
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp5_ = g_strdup (C_ ("List column title", "Artist"));
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp5_;
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 184 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM:
#line 188 "ListColumn.c"
		{
			gchar* _tmp6_;
#line 84 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp6_ = g_strdup (C_ ("List column title", "Album"));
#line 84 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp6_;
#line 84 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 197 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM_ARTIST:
#line 201 "ListColumn.c"
		{
			gchar* _tmp7_;
#line 87 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp7_ = g_strdup (C_ ("List column title", "Album Artist"));
#line 87 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp7_;
#line 87 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 210 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_COMPOSER:
#line 214 "ListColumn.c"
		{
			gchar* _tmp8_;
#line 90 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp8_ = g_strdup (C_ ("List column title", "Composer"));
#line 90 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp8_;
#line 90 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 223 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GENRE:
#line 227 "ListColumn.c"
		{
			gchar* _tmp9_;
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp9_ = g_strdup (C_ ("List column title", "Genre"));
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp9_;
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 236 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_YEAR:
#line 240 "ListColumn.c"
		{
			gchar* _tmp10_;
#line 96 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp10_ = g_strdup (C_ ("List column title", "Year"));
#line 96 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp10_;
#line 96 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 249 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GROUPING:
#line 253 "ListColumn.c"
		{
			gchar* _tmp11_;
#line 99 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp11_ = g_strdup (C_ ("List column title", "Grouping"));
#line 99 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp11_;
#line 99 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 262 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BITRATE:
#line 266 "ListColumn.c"
		{
			gchar* _tmp12_;
#line 102 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp12_ = g_strdup (C_ ("List column title", "Bitrate"));
#line 102 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp12_;
#line 102 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 275 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_RATING:
#line 279 "ListColumn.c"
		{
			gchar* _tmp13_;
#line 105 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp13_ = g_strdup (C_ ("List column title", "Rating"));
#line 105 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp13_;
#line 105 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 288 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_PLAY_COUNT:
#line 292 "ListColumn.c"
		{
			gchar* _tmp14_;
#line 108 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp14_ = g_strdup (C_ ("List column title", "Plays"));
#line 108 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp14_;
#line 108 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 301 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_SKIP_COUNT:
#line 305 "ListColumn.c"
		{
			gchar* _tmp15_;
#line 111 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp15_ = g_strdup (C_ ("List column title", "Skips"));
#line 111 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp15_;
#line 111 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 314 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_DATE_ADDED:
#line 318 "ListColumn.c"
		{
			gchar* _tmp16_;
#line 114 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp16_ = g_strdup (C_ ("List column title", "Date Added"));
#line 114 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp16_;
#line 114 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 327 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LAST_PLAYED:
#line 331 "ListColumn.c"
		{
			gchar* _tmp17_;
#line 117 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp17_ = g_strdup (C_ ("List column title", "Last Played"));
#line 117 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp17_;
#line 117 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 340 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BPM:
#line 344 "ListColumn.c"
		{
			gchar* _tmp18_;
#line 120 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp18_ = g_strdup (C_ ("List column title (beats per minute)", "BPM"));
#line 120 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp18_;
#line 120 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 353 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_LOCATION:
#line 357 "ListColumn.c"
		{
			gchar* _tmp19_;
#line 123 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp19_ = g_strdup (C_ ("List column title (file location)", "Location"));
#line 123 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp19_;
#line 123 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 366 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_SIZE:
#line 370 "ListColumn.c"
		{
			gchar* _tmp20_;
#line 126 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp20_ = g_strdup (C_ ("List column title", "File Size"));
#line 126 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp20_;
#line 126 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 379 "ListColumn.c"
		}
		default:
		{
#line 129 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_assert_not_reached ();
#line 385 "ListColumn.c"
		}
	}
}


GType
noise_list_column_get_data_type (NoiseListColumn self)
{
	GType result = 0UL;
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
	switch (self) {
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ICON:
#line 399 "ListColumn.c"
		{
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = g_icon_get_type ();
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 405 "ListColumn.c"
		}
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TITLE:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ARTIST:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM_ARTIST:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_COMPOSER:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GENRE:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GROUPING:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_LOCATION:
#line 423 "ListColumn.c"
		{
#line 149 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = G_TYPE_STRING;
#line 149 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 429 "ListColumn.c"
		}
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_NUMBER:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TRACK:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LENGTH:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_YEAR:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BITRATE:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_RATING:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_PLAY_COUNT:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_SKIP_COUNT:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_DATE_ADDED:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LAST_PLAYED:
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BPM:
#line 453 "ListColumn.c"
		{
#line 162 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = G_TYPE_UINT;
#line 162 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 459 "ListColumn.c"
		}
#line 137 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_SIZE:
#line 463 "ListColumn.c"
		{
#line 165 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = G_TYPE_UINT64;
#line 165 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 469 "ListColumn.c"
		}
		default:
		{
#line 168 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_assert_not_reached ();
#line 475 "ListColumn.c"
		}
	}
}


/**
     * Returns the value of the data that should be displayed by the column in the view.
     *
     * media_row_index is only necessary for {@link ListColumn.NUMBER}.
     */
static gpointer
_g_object_ref0 (gpointer self)
{
#line 181 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
	return self ? g_object_ref (self) : NULL;
#line 491 "ListColumn.c"
}


GValue*
noise_list_column_get_value_for_media (NoiseListColumn self,
                                       NoiseMedia* m,
                                       gint media_row_index)
{
	GValue* result = NULL;
#line 177 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
	g_return_val_if_fail (m != NULL, NULL);
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
	switch (self) {
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ICON:
#line 507 "ListColumn.c"
		{
			GIcon* icon = NULL;
			NoiseMedia* currently_playing = NULL;
			NoisePlaybackManager* _tmp0_;
			NoisePlaybackManager* _tmp1_;
			NoiseMedia* _tmp2_;
			NoiseMedia* _tmp3_;
			NoiseMedia* _tmp4_;
			gboolean _tmp5_ = FALSE;
			NoiseMedia* _tmp6_;
			GValue* _tmp12_ = NULL;
#line 181 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp0_ = noise_app_get_player ();
#line 181 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp1_ = _tmp0_;
#line 181 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp2_ = noise_playback_manager_get_current_media (_tmp1_);
#line 181 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp3_ = _tmp2_;
#line 181 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp4_ = _g_object_ref0 (_tmp3_);
#line 181 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			currently_playing = _tmp4_;
#line 183 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp6_ = currently_playing;
#line 183 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			if (m == _tmp6_) {
#line 535 "ListColumn.c"
				NoiseMedia* _tmp7_;
#line 183 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_tmp7_ = currently_playing;
#line 183 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_tmp5_ = _tmp7_ != NULL;
#line 541 "ListColumn.c"
			} else {
#line 183 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_tmp5_ = FALSE;
#line 545 "ListColumn.c"
			}
#line 183 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			if (_tmp5_) {
#line 549 "ListColumn.c"
				GThemedIcon* _tmp8_;
#line 184 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_tmp8_ = (GThemedIcon*) g_themed_icon_new ("audio-volume-high-symbolic");
#line 184 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_g_object_unref0 (icon);
#line 184 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				icon = (GIcon*) _tmp8_;
#line 557 "ListColumn.c"
			} else {
				GIcon* _tmp9_;
				GIcon* _tmp10_;
				GIcon* _tmp11_;
#line 186 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_tmp9_ = noise_media_get_unique_status_image (m);
#line 186 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_tmp10_ = _tmp9_;
#line 186 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_tmp11_ = _g_object_ref0 (_tmp10_);
#line 186 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_g_object_unref0 (icon);
#line 186 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				icon = _tmp11_;
#line 572 "ListColumn.c"
			}
#line 188 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp12_ = g_new0 (GValue, 1);
#line 188 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp12_, g_icon_get_type ());
#line 188 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_object (_tmp12_, icon);
#line 188 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp12_;
#line 188 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_g_object_unref0 (currently_playing);
#line 188 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 586 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_NUMBER:
#line 590 "ListColumn.c"
		{
			GValue* _tmp13_ = NULL;
#line 191 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_vala_assert (media_row_index >= 0, "media_row_index >= 0");
#line 192 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp13_ = g_new0 (GValue, 1);
#line 192 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp13_, G_TYPE_UINT);
#line 192 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp13_, ((guint) media_row_index) + 1);
#line 192 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp13_;
#line 192 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 605 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TRACK:
#line 609 "ListColumn.c"
		{
			guint _tmp14_;
			guint _tmp15_;
			GValue* _tmp16_ = NULL;
#line 195 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp14_ = noise_media_get_track (m);
#line 195 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp15_ = _tmp14_;
#line 195 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp16_ = g_new0 (GValue, 1);
#line 195 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp16_, G_TYPE_UINT);
#line 195 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp16_, _tmp15_);
#line 195 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp16_;
#line 195 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 628 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TITLE:
#line 632 "ListColumn.c"
		{
			gchar* _tmp17_;
			GValue* _tmp18_ = NULL;
#line 198 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp17_ = noise_media_get_display_title (m);
#line 198 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp18_ = g_new0 (GValue, 1);
#line 198 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp18_, G_TYPE_STRING);
#line 198 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp18_, _tmp17_);
#line 198 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp18_;
#line 198 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 648 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LENGTH:
#line 652 "ListColumn.c"
		{
			guint _tmp19_;
			guint _tmp20_;
			GValue* _tmp21_ = NULL;
#line 201 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp19_ = noise_media_get_length (m);
#line 201 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp20_ = _tmp19_;
#line 201 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp21_ = g_new0 (GValue, 1);
#line 201 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp21_, G_TYPE_UINT);
#line 201 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp21_, _tmp20_);
#line 201 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp21_;
#line 201 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 671 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ARTIST:
#line 675 "ListColumn.c"
		{
			gchar* _tmp22_;
			GValue* _tmp23_ = NULL;
#line 204 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp22_ = noise_media_get_display_artist (m);
#line 204 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp23_ = g_new0 (GValue, 1);
#line 204 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp23_, G_TYPE_STRING);
#line 204 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp23_, _tmp22_);
#line 204 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp23_;
#line 204 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 691 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM:
#line 695 "ListColumn.c"
		{
			gchar* _tmp24_;
			GValue* _tmp25_ = NULL;
#line 207 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp24_ = noise_media_get_display_album (m);
#line 207 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp25_ = g_new0 (GValue, 1);
#line 207 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp25_, G_TYPE_STRING);
#line 207 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp25_, _tmp24_);
#line 207 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp25_;
#line 207 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 711 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM_ARTIST:
#line 715 "ListColumn.c"
		{
			gchar* _tmp26_;
			GValue* _tmp27_ = NULL;
#line 210 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp26_ = noise_media_get_display_album_artist (m, FALSE);
#line 210 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp27_ = g_new0 (GValue, 1);
#line 210 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp27_, G_TYPE_STRING);
#line 210 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp27_, _tmp26_);
#line 210 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp27_;
#line 210 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 731 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_COMPOSER:
#line 735 "ListColumn.c"
		{
			gchar* _tmp28_;
			GValue* _tmp29_ = NULL;
#line 213 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp28_ = noise_media_get_display_composer (m);
#line 213 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp29_ = g_new0 (GValue, 1);
#line 213 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp29_, G_TYPE_STRING);
#line 213 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp29_, _tmp28_);
#line 213 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp29_;
#line 213 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 751 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GENRE:
#line 755 "ListColumn.c"
		{
			gchar* _tmp30_;
			GValue* _tmp31_ = NULL;
#line 216 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp30_ = noise_media_get_display_genre (m);
#line 216 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp31_ = g_new0 (GValue, 1);
#line 216 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp31_, G_TYPE_STRING);
#line 216 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp31_, _tmp30_);
#line 216 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp31_;
#line 216 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 771 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_YEAR:
#line 775 "ListColumn.c"
		{
			guint _tmp32_;
			guint _tmp33_;
			GValue* _tmp34_ = NULL;
#line 219 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp32_ = noise_media_get_year (m);
#line 219 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp33_ = _tmp32_;
#line 219 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp34_ = g_new0 (GValue, 1);
#line 219 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp34_, G_TYPE_UINT);
#line 219 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp34_, _tmp33_);
#line 219 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp34_;
#line 219 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 794 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GROUPING:
#line 798 "ListColumn.c"
		{
			const gchar* _tmp35_;
			const gchar* _tmp36_;
			GValue* _tmp37_ = NULL;
#line 222 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp35_ = noise_media_get_grouping (m);
#line 222 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp36_ = _tmp35_;
#line 222 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp37_ = g_new0 (GValue, 1);
#line 222 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp37_, G_TYPE_STRING);
#line 222 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_string (_tmp37_, _tmp36_);
#line 222 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp37_;
#line 222 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 817 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BITRATE:
#line 821 "ListColumn.c"
		{
			guint _tmp38_;
			guint _tmp39_;
			GValue* _tmp40_ = NULL;
#line 225 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp38_ = noise_media_get_bitrate (m);
#line 225 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp39_ = _tmp38_;
#line 225 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp40_ = g_new0 (GValue, 1);
#line 225 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp40_, G_TYPE_UINT);
#line 225 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp40_, _tmp39_);
#line 225 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp40_;
#line 225 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 840 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_RATING:
#line 844 "ListColumn.c"
		{
			guint _tmp41_;
			guint _tmp42_;
			GValue* _tmp43_ = NULL;
#line 228 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp41_ = noise_media_get_rating (m);
#line 228 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp42_ = _tmp41_;
#line 228 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp43_ = g_new0 (GValue, 1);
#line 228 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp43_, G_TYPE_UINT);
#line 228 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp43_, _tmp42_);
#line 228 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp43_;
#line 228 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 863 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_PLAY_COUNT:
#line 867 "ListColumn.c"
		{
			guint _tmp44_;
			guint _tmp45_;
			GValue* _tmp46_ = NULL;
#line 231 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp44_ = noise_media_get_play_count (m);
#line 231 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp45_ = _tmp44_;
#line 231 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp46_ = g_new0 (GValue, 1);
#line 231 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp46_, G_TYPE_UINT);
#line 231 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp46_, _tmp45_);
#line 231 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp46_;
#line 231 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 886 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_SKIP_COUNT:
#line 890 "ListColumn.c"
		{
			guint _tmp47_;
			guint _tmp48_;
			GValue* _tmp49_ = NULL;
#line 234 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp47_ = noise_media_get_skip_count (m);
#line 234 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp48_ = _tmp47_;
#line 234 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp49_ = g_new0 (GValue, 1);
#line 234 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp49_, G_TYPE_UINT);
#line 234 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp49_, _tmp48_);
#line 234 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp49_;
#line 234 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 909 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_DATE_ADDED:
#line 913 "ListColumn.c"
		{
			guint _tmp50_;
			guint _tmp51_;
			GValue* _tmp52_ = NULL;
#line 237 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp50_ = noise_media_get_date_added (m);
#line 237 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp51_ = _tmp50_;
#line 237 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp52_ = g_new0 (GValue, 1);
#line 237 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp52_, G_TYPE_UINT);
#line 237 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp52_, _tmp51_);
#line 237 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp52_;
#line 237 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 932 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LAST_PLAYED:
#line 936 "ListColumn.c"
		{
			guint _tmp53_;
			guint _tmp54_;
			GValue* _tmp55_ = NULL;
#line 240 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp53_ = noise_media_get_last_played (m);
#line 240 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp54_ = _tmp53_;
#line 240 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp55_ = g_new0 (GValue, 1);
#line 240 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp55_, G_TYPE_UINT);
#line 240 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp55_, _tmp54_);
#line 240 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp55_;
#line 240 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 955 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BPM:
#line 959 "ListColumn.c"
		{
			guint _tmp56_;
			guint _tmp57_;
			GValue* _tmp58_ = NULL;
#line 243 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp56_ = noise_media_get_bpm (m);
#line 243 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp57_ = _tmp56_;
#line 243 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp58_ = g_new0 (GValue, 1);
#line 243 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp58_, G_TYPE_UINT);
#line 243 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp58_, _tmp57_);
#line 243 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp58_;
#line 243 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 978 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_LOCATION:
#line 982 "ListColumn.c"
		{
			gchar* _tmp59_;
			GValue* _tmp60_ = NULL;
#line 246 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp59_ = noise_media_get_display_location (m);
#line 246 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp60_ = g_new0 (GValue, 1);
#line 246 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp60_, G_TYPE_STRING);
#line 246 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp60_, _tmp59_);
#line 246 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp60_;
#line 246 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 998 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_SIZE:
#line 1002 "ListColumn.c"
		{
			guint64 _tmp61_;
			guint64 _tmp62_;
			GValue* _tmp63_ = NULL;
#line 249 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp61_ = noise_media_get_file_size (m);
#line 249 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp62_ = _tmp61_;
#line 249 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp63_ = g_new0 (GValue, 1);
#line 249 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp63_, G_TYPE_UINT64);
#line 249 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint64 (_tmp63_, _tmp62_);
#line 249 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp63_;
#line 249 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1021 "ListColumn.c"
		}
		default:
#line 178 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		break;
#line 1026 "ListColumn.c"
	}
#line 252 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
	g_assert_not_reached ();
#line 1030 "ListColumn.c"
}


GeeCollection*
noise_list_column_get_all (void)
{
	GeeCollection* result = NULL;
	GeeLinkedList* list = NULL;
	GeeLinkedList* _tmp0_;
#line 256 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_LIST_COLUMN, NULL, NULL, NULL, NULL, NULL);
#line 256 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
	list = _tmp0_;
#line 1044 "ListColumn.c"
	{
		gint i = 0;
#line 257 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
		i = 0;
#line 1049 "ListColumn.c"
		{
			gboolean _tmp1_ = FALSE;
#line 257 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			_tmp1_ = TRUE;
#line 257 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
			while (TRUE) {
#line 1056 "ListColumn.c"
				gint _tmp3_;
				GeeLinkedList* _tmp4_;
				gint _tmp5_;
#line 257 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				if (!_tmp1_) {
#line 1062 "ListColumn.c"
					gint _tmp2_;
#line 257 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
					_tmp2_ = i;
#line 257 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
					i = _tmp2_ + 1;
#line 1068 "ListColumn.c"
				}
#line 257 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_tmp1_ = FALSE;
#line 257 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_tmp3_ = i;
#line 257 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				if (!(_tmp3_ < ((gint) NOISE_LIST_COLUMN_N_COLUMNS))) {
#line 257 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
					break;
#line 1078 "ListColumn.c"
				}
#line 258 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_tmp4_ = list;
#line 258 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				_tmp5_ = i;
#line 258 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp4_, (gpointer) ((gintptr) ((NoiseListColumn) _tmp5_)));
#line 1086 "ListColumn.c"
			}
		}
	}
#line 259 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
	result = (GeeCollection*) list;
#line 259 "/builddir/build/BUILD/music-0.4.2/src/Views/ListView/Lists/ListColumn.vala"
	return result;
#line 1094 "ListColumn.c"
}


/**
 * Represents every possible column that can go in a media list.
 *
 * New column types must be appended at the end in order to ensure backwards
 * compatibility with older TreeViewSetup representations.
 */
GType
noise_list_column_get_type (void)
{
	static volatile gsize noise_list_column_type_id__volatile = 0;
	if (g_once_init_enter (&noise_list_column_type_id__volatile)) {
		static const GEnumValue values[] = {{NOISE_LIST_COLUMN_ICON, "NOISE_LIST_COLUMN_ICON", "icon"}, {NOISE_LIST_COLUMN_NUMBER, "NOISE_LIST_COLUMN_NUMBER", "number"}, {NOISE_LIST_COLUMN_TRACK, "NOISE_LIST_COLUMN_TRACK", "track"}, {NOISE_LIST_COLUMN_TITLE, "NOISE_LIST_COLUMN_TITLE", "title"}, {NOISE_LIST_COLUMN_LENGTH, "NOISE_LIST_COLUMN_LENGTH", "length"}, {NOISE_LIST_COLUMN_ARTIST, "NOISE_LIST_COLUMN_ARTIST", "artist"}, {NOISE_LIST_COLUMN_ALBUM, "NOISE_LIST_COLUMN_ALBUM", "album"}, {NOISE_LIST_COLUMN_ALBUM_ARTIST, "NOISE_LIST_COLUMN_ALBUM_ARTIST", "album-artist"}, {NOISE_LIST_COLUMN_COMPOSER, "NOISE_LIST_COLUMN_COMPOSER", "composer"}, {NOISE_LIST_COLUMN_GENRE, "NOISE_LIST_COLUMN_GENRE", "genre"}, {NOISE_LIST_COLUMN_YEAR, "NOISE_LIST_COLUMN_YEAR", "year"}, {NOISE_LIST_COLUMN_GROUPING, "NOISE_LIST_COLUMN_GROUPING", "grouping"}, {NOISE_LIST_COLUMN_BITRATE, "NOISE_LIST_COLUMN_BITRATE", "bitrate"}, {NOISE_LIST_COLUMN_RATING, "NOISE_LIST_COLUMN_RATING", "rating"}, {NOISE_LIST_COLUMN_PLAY_COUNT, "NOISE_LIST_COLUMN_PLAY_COUNT", "play-count"}, {NOISE_LIST_COLUMN_SKIP_COUNT, "NOISE_LIST_COLUMN_SKIP_COUNT", "skip-count"}, {NOISE_LIST_COLUMN_DATE_ADDED, "NOISE_LIST_COLUMN_DATE_ADDED", "date-added"}, {NOISE_LIST_COLUMN_LAST_PLAYED, "NOISE_LIST_COLUMN_LAST_PLAYED", "last-played"}, {NOISE_LIST_COLUMN_BPM, "NOISE_LIST_COLUMN_BPM", "bpm"}, {NOISE_LIST_COLUMN_FILE_LOCATION, "NOISE_LIST_COLUMN_FILE_LOCATION", "file-location"}, {NOISE_LIST_COLUMN_FILE_SIZE, "NOISE_LIST_COLUMN_FILE_SIZE", "file-size"}, {NOISE_LIST_COLUMN_N_COLUMNS, "NOISE_LIST_COLUMN_N_COLUMNS", "n-columns"}, {0, NULL, NULL}};
		GType noise_list_column_type_id;
		noise_list_column_type_id = g_enum_register_static ("NoiseListColumn", values);
		g_once_init_leave (&noise_list_column_type_id__volatile, noise_list_column_type_id);
	}
	return noise_list_column_type_id__volatile;
}



